<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('credit_coupons', function (Blueprint $table) {
            $table->id();
            $table->string('code');
            $table->decimal('amount');
            $table->boolean('is_active')->default(true);
          
            $table->date('valid_from');
            $table->date('valid_to');
            $table->foreignId('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('credit_coupons');
    }
};
